# zmk-iam-lambdabasicrole-module

> AWS CDK [L1 construct](https://docs.aws.amazon.com/cdk/latest/guide/constructs.html) and data structures for the [AWS CloudFormation Registry](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/registry.html) type `zmk::IAM::LambdaBasicRole::MODULE` v1.0.0.

## Description

Schema for Module Fragment of type zmk::IAM::LambdaBasicRole::MODULE

## Usage

In order to use this library, you will need to activate this AWS CloudFormation Registry type in your account. You can do this via the AWS Management Console or using the [AWS CLI](https://aws.amazon.com/cli/) using the following command:

```sh
aws cloudformation activate-type \
  --type-name zmk::IAM::LambdaBasicRole::MODULE \
  --publisher-id 926aa6a6595e13ea95b60697274c934dbd591182 \
  --type MODULE \
  --execution-role-arn ROLE-ARN
```

Alternatively:

```sh
aws cloudformation activate-type \
  --public-type-arn arn:aws:cloudformation:us-east-1::type/module/926aa6a6595e13ea95b60697274c934dbd591182/zmk-IAM-LambdaBasicRole-MODULE \
  --execution-role-arn ROLE-ARN
```

You can find more information about activating this type in the [AWS CloudFormation documentation](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/registry-public.html).

## Feedback

This library is auto-generated and published to all supported programming languages by the [cdklabs/cdk-cloudformation](https://github.com/cdklabs/cdk-cloudformation) project based on the API schema published for `zmk::IAM::LambdaBasicRole::MODULE`.

* Issues related to this generated library should be [reported here](https://github.com/cdklabs/cdk-cloudformation/issues/new?title=Issue+with+%40cdk-cloudformation%2Fzmk-iam-lambdabasicrole-module+v1.0.0).
* Issues related to `zmk::IAM::LambdaBasicRole::MODULE` should be reported to the [publisher](undefined).

## License

Distributed under the Apache-2.0 License.
